/*
Copyright 2012-2013 Helpers
https://github.com/provirus/Helpers

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
 */

package ca.pgon.helpers;

import com.google.common.hash.Hashing;

/**
 * Some tools to help with common hashing tasks.
 * 
 * @author Simon Levesque
 * 
 */
public class HasherHelper {

    /**
     * Hash the bytes.
     * 
     * @param bytes
     * @return the String of the Hash in Hex
     */
    public static String sha512(byte[] bytes) {
        return Hashing.sha512().hashBytes(bytes).toString();
    }

    /**
     * Hash the bytes.
     * 
     * @param bytes
     * @param offset
     * @param len
     * @return the String of the Hash in Hex
     */
    public static String sha512(byte[] bytes, int offset, int len) {
        return Hashing.sha512().hashBytes(bytes, offset, len).toString();
    }

    /**
     * Hash the string
     * 
     * @param content
     * @return the String of the Hash in Hex
     */
    public static String sha512(String content) {
        return Hashing.sha512().hashString(content).toString();
    }

}
